class MigrateOvirtResources < ActiveRecord::Migration[7.0]
  # Follow up to the ovirt migration task (lib/tasks/ovirt.rake).
  def up
    compute_resources = ComputeResource.unscoped.where(type: 'Foreman::Model::Ovirt')

    compute_resources.each do |cr|
      Rails.logger.debug "Processing data for '#{cr.name}' compute resource."

      cr.hosts.each do |host|
        Rails.logger.debug "Disassociating host '#{host.name}' from the compute resource."
        host.disassociate!
      end

      Rails.logger.debug "Removing compute resources and compute profiles from host groups."
      cr.hostgroups.update_all(compute_resource_id: nil, compute_profile_id: nil)

      Rails.logger.debug "Removing '#{cr.name}' compute resource."
      cr.destroy
    end
  end
end
